Does the mlnx driver support kernel 5.3? (add-kernel-support error)

Hi,

My server has connect X4 and OS is ubuntu 18.04 with kernel v5.3

I want to make nvme over fabric target in this server, so I did install mlnx 4.7 driver.

However, I failed to install several times.

I also have changed kernel version to v5.0 or v4.18 but it did not work.

The mlnx 4.3 driver could only be installed in the 4.15-generic kernel version.

The error message below is when using the v5.3 kernel and mlnx 4.7.

How can I solve this?

ERROR: Failed executing “MLNX_OFED_SRC-4.7-1.0.0.1/install.pl --tmpdir /tmp/MLNX_OFED_LINUX-4.7-1.0.0.1-5.3.0/mlnx_iso.4495_logs --kernel-only --kernel 5.3.0 --kernel-sources /lib/modules/5.3.0/build --builddir /tmp/MLNX_OFED_LINUX-4.7-1.0.0.1-5.3.0/mlnx_iso.4495 --without-dkms --force --without-debug-symbols --build-only --distro ubuntu18.04”

ERROR: See /tmp/MLNX_OFED_LINUX-4.7-1.0.0.1-5.3.0/mlnx_iso.4495_logs/mlnx_ofed_iso.4495.log

Failed to build MLNX_OFED_LINUX for 5.3.0